import {
    ApiModel
} from "../../utils/api";
const _Http = new ApiModel;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        showIndex:-1,//显示按钮的下标
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.tagents.tagents",
            "method": "query_cooperation",
            "content": {
                "where": {
                    "condition": "",
                    "ftype":"",
                    "fstatus":""
                }
            }
        }).then(res=>{
            console.log(res)
        })
    },
    showBtnIndex(e) {
        const {
            index
        } = e.currentTarget.dataset;
        this.setData({
            showIndex:index
        })
    },
    /* 跳转商户 */
    jumpForDetails(){
        wx.navigateTo({
          url: '/pages/businessPartner/details',
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})